# {{ ansible_managed }}
# SVFE
sv.comm.host={{ svfe_host }}
sv.comm.port={{ apigate_svfe_port }}
sv.comm.headerLength={{ apigate_svfe_header_length|default('4') }}
sv.comm.timeout={{ apigate_svfe_timeout|default('30000') }}
sv.comm.echoDelay={{ apigate_svfe_echo_delay|default('60000') }}


svap.address={{ svap_url }}
svis.address={{ svis_url }}
tpt.address={{ apigate_tpt_address }}
jdbc.logging.enabled={{ apigate_jdbc_logging|default('true') }}

sv.atndt.address={{ atndt_host }}
sv.atndt.port={{ atndt_port }}
sv.atndt.echoDelay={{ apigate_atndt_echo_delay|default("6000000") }}

# Thales
thales.host={{ thales_host }}
thales.port={{ thales_port }}
thales.lmkId={{ thales_lmk_id|default("00") }}
thales.zpkHex={{ thales_hex }}
thales.encryptedPinLength={{ thales_pin_length|default('7') }}
thales.pinBlockFormat={{ thales_pin_block_format|default('01') }}

# TIDMID
terminal.terminalId={{ apigate_terminal_id }}
terminal.merchantId={{ apigate_merchant_id }}
terminal.terminalLocation={{ apigate_terminal_location }}
terminal.merchantType={{ apigate_terminal_merchant_type|default('8') }}

# Generate CVC2
generateCvc2.cardNumberCustomTag={{ apigate_gen_cvc2_custom_tag|default('57') }}
generateCvc2.maskCardNumber={{ apigate_gen_cvc2_mask_card_number|default('true') }}
generateCvc2.responseMaskingType={{ apigate_gen_cvc2_resp_mask_type|default('outer') }}

# Create Virtual Card
createVirtualCard.maskCardNumber={{ apigate_create_virtual_card_mask_card_number|default('false') }}
{% for card in apigate_create_virtual_card %}
createVirtualCard.[{{ card }}].maskCardNumber=true
{% endfor %}
createVirtualCard.responseMaskingType={{ apigate_create_virtual_card_resp_mask_type|default('internal') }}
createVirtualCard.setCardAddress={{ apigate_create_virtual_card_address|default('true') }}
createVirtualCard.serviceCardNumber={{ apigate_service_card_number }}
createVirtualCard.duplicateCustomerIdToPersonId={{ apigate_duplicate_card|default('true') }}

# Keystore
{% if apigate_keystore is defined and apigate_keystore|length > 0 %}
generatePin.keyStore.file={{ apigate_keystore_path }}/{{ apigate_keystore.file }}
generatePin.keyStore.password={{ apigate_keystore.password }}
generatePin.keyStore.secretKeyAlias={{ apigate_keystore.secretKeyAlias }}
generatePin.initialCardStatus={{ apigate_keystore.initialCardStatus }}
generatePin.activateCard={{ apigate_keystore.activateCard }}
{% endif %}

# Get card data
ws.getCardData.returnCardNumber={{ apigate_return_card_number|default('true') }}
ws.getCardData.considerPlasticNumber={{ apigate_consider_plastic_number|default('true') }}

# Allowed statuses
ws.changeCardStatus.allowedStatuses={{ apigate_changecard_allowed_status }}
ws.blockCard.allowedStatuses={{ apigate_blockcard_allowed_status }}

# Other
ws.getTransactions.useBo={{ apigate_trans_usebo| default("no") }}
getMerchantTransactions.maskCardNumber={{ apigate_merchant_tran_mask_card_number|default('true') }}

# Merchant status
{% for rec in apigate_merchant_status %}
{{ rec }}
{% endfor %}

### Customers
ws.registerCustomer.configurationDirectory={{ apigate_customer_path }}
{% for rec in apigate_customer %}
### {{ rec.key }}
ws.registerCustomer.product.[{{ rec.key }}].applicationTemplate={{ rec.applicationTemplate }}
ws.registerCustomer.product.[{{ rec.key }}].accountRestrictionCode={{ rec.accountRestrictionCode }}
ws.registerCustomer.product.[{{ rec.key }}].institutionCode={{ rec.institutionCode }}
{% if 'accountLimitsConfig' in rec -%}
ws.registerCustomer.product.[{{ rec.key }}].accountLimitsConfig={{ rec.accountLimitsConfig }}
{% endif %}
{% endfor %}
